- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Returns a list of all EffectiveSecurityHealthAnalyticsCustomModules for the given parent. This includes resident modules defined at the scope of the parent, and inherited modules, inherited from CRM ancestors.
IAM Permissions
Requires the following IAM permission on the resource specified in the parent field:
securitycenter.effectivesecurityhealthanalyticscustommodules.list
HTTP request
GET https://securitycenter.googleapis.com/v1/{parent=organizations/*/securityHealthAnalyticsSettings}/effectiveCustomModules The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Name of parent to list effective custom modules. Its format is |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of results to return in a single response. Default is 10, minimum is 1, maximum is 1000. |
pageToken |
The value returned by the last call indicating a continuation |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListEffectiveSecurityHealthAnalyticsCustomModulesResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.